#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Lingua
%define		pnam	EN-Sentence
Summary:	Lingua::EN::Sentence Perl module - splitting text into sentences
Summary(pl.UTF-8):	Moduł Perla Lingua::EN::Sentence - podział tekstu na zdania
Name:		perl-Lingua-EN-Sentence
Version:	0.31
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Lingua/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	70e2450db477106e98d1634e4e26429f
URL:		http://search.cpan.org/dist/Lingua-EN-Sentence/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Lingua::EN::Sentence Perl module contains the function
get_sentences, which splits text into its constituent sentences, based
on a regular expression and a list of abbreviations (built in and
given).

%description -l pl.UTF-8
Moduł Perla Lingua::EN::Sentence zawiera funkcję get_sentences,
dzielącą tekst na zdania składowe, w oparciu o wyrażenie regularne i
listę skrótów (wbudowaną oraz podaną).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Lingua/EN/Sentence.pm
%{_mandir}/man3/Lingua::EN::Sentence.3pm*
%changelog
* Thu Nov 14 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Lingua-EN-Sentence.git;a=log;h=master

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> d2b7ef1
- up to 0.31

* Sun Dec 04 2011 Jakub Bogusz <qboosh@pld-linux.org> 1b742b6
- real summary/description
- generic URL
- release 5

* Mon Jul 28 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> b408549
- release 4

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 4af8ebb
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 107ae1d
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 68e074b
- formatting

* Sat Jun 05 2004 radek <radek@pld-linux.org> 8075ad1
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Fri May 07 2004 ankry <ankry@pld-linux.org> f726122
- rel. 3

* Thu May 06 2004 ankry <ankry@pld-linux.org> 4e1d58d
- fixed perl-devel BR

* Thu Apr 22 2004 ankry <ankry@pld-linux.org> 8c09646
- license fixes and unification

* Wed Apr 21 2004 ankry <ankry@pld-linux.org> be86adc
- ported to new bconds

* Wed Feb 18 2004 Jakub Bogusz <qboosh@pld-linux.org> e22d818
- s/no/nb/ in Summary langs

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> bf533f6
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> bcd0b7c
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> ead6974
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Apr 11 2003 radek <radek@pld-linux.org> d92084b
- BR: perl-devel; do not BR: perl

* Sat Mar 01 2003 radek <radek@pld-linux.org> 4beee8d
- should be ready for perl-5.8.0; release++

* Tue Feb 25 2003 radek <radek@pld-linux.org> 5b8f61b
- use the __perl macro

* Tue Feb 18 2003 ankry <ankry@pld-linux.org> 22ac045
- massive attack: change CPAN URLs

* Sat Oct 05 2002 ankry <ankry@pld-linux.org> f0c0b25
- (auto)updated to 0.25
- fixed License

